/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
#include <stdio.h>
void setFunction4(int i, int (*f)(float, int)) {
    int retval; 
    if ( f != NULL) {
        retval = f(1.1, i); 
        printf("in C function setFunction4(), retval = %d\n", retval);
    }
}
